apiVersion: v1
kind: Namespace
metadata:
  name: awoooi-dev
  labels:
    environment: dev
    system: awoooi
    name: awoooi-dev

---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: awoooi-dev-quota
  namespace: awoooi-dev
spec:
  hard:
    requests.cpu: "2"
    requests.memory: 4Gi
    limits.cpu: "4"
    limits.memory: 8Gi
    pods: "10"

---
apiVersion: v1
kind: LimitRange
metadata:
  name: awoooi-dev-limits
  namespace: awoooi-dev
spec:
  limits:
    - type: Container
      default:
        cpu: "500m"
        memory: "512Mi"
      defaultRequest:
        cpu: "100m"
        memory: "128Mi"
